function [predicted_label, accuracy, decision_values/prob_estimates] = svmpredict(testing_label_vector, testing_instance_matrix, model, 'libsvm_options')
// Does prediction for a calculated svm model
// Calling Sequence
// [predicted_label, accuracy, decision_values] = svmpredict(testing_label_vector, testing_instance_matrix, model)
// [predicted_label, accuracy, decision_values] = svmpredict(testing_label_vector, testing_instance_matrix, model, 'libsvm_options')
// Parameters
//  model: SVM model structure from svmtrain.
//   libsvm_options:-b probability_estimates: whether to predict probability estimates, 0 or 1 (default 0); one-class SVM not supported yet
//   predicted_label: SVM prediction output vector
//    accuracy: a vector with accuracy, mean squared error, squared correlation coefficient.
//    prob_estimates: If selected, probability estimate vector
