// Copyright (C) 2010 - H. Nahrstaedt
//
// assert_close --
// Returns 1 if the two real matrices computed and expected are close,
// i.e. if the relative distance between computed and expected is lesser than epsilon.
// Arguments
// computed, expected : the two matrices to compare
// epsilon : a small number
//
function flag = assert_close ( computed, expected, epsilon )
  if expected==0.0 then
    shift = norm(computed-expected);
  else
    shift = norm(computed-expected)/norm(expected);
  end
  if shift < epsilon then
    flag = 1;
  else
    flag = 0;
  end
  if flag <> 1 then pause,end
endfunction

A=[1,2,10;7,7.1,7.01];

computed = nan_median(A);
expected = median(A,'r');

assert_close ( computed , expected , %eps );

computed = nan_median(A,2);
expected = median(A,'c');

assert_close ( computed , expected , %eps );

computed = nan_median(A(:));
expected = median(A);

assert_close ( computed , expected , %eps );


A=[1 1 %nan];
computed = nan_median(A);
expected = 1;

assert_close ( computed , expected , %eps );

A=[1 1 %nan];
computed = nan_median(A');
expected = 1;

assert_close ( computed , expected , %eps );

A=matrix([-9 3 -8 6 74 39 12 -6 -89 23 65 34],[2,3,2]);
computed = nan_median(A,3);
expected = median(A,3);

assert_close ( computed(:) , expected(:) , %eps );

computed = nan_median(A);
expected = median(A,'m');

assert_close ( computed(:) , expected(:) , %eps );